import { EventEmitter } from '@angular/core';
import { ISlicer } from '@metad/ocap-core';
import { BaseSlicersComponent } from '../base-slicers';
import * as i0 from "@angular/core";
export declare class SlicerComponent extends BaseSlicersComponent {
    private translate;
    get slicer(): ISlicer;
    set slicer(value: ISlicer);
    private slicer$;
    disabled: boolean;
    limit: number;
    removed: EventEmitter<any>;
    slicerChange: EventEmitter<ISlicer>;
    readonly title$: import("rxjs").Observable<any>;
    readonly slicerSignal: import("@angular/core").Signal<ISlicer>;
    readonly members: import("@angular/core").Signal<import("@metad/ocap-core").IMember[]>;
    readonly more: import("@angular/core").Signal<number>;
    readonly displayBehaviour$: import("rxjs").Observable<import("@metad/ocap-core").DisplayBehaviour>;
    readonly advancedSlicer$: import("rxjs").Observable<any>;
    remove(): void;
    removeMember(index: any): void;
    editSlicer(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SlicerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SlicerComponent, "ngm-slicer", never, { "slicer": { "alias": "slicer"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "limit": { "alias": "limit"; "required": false; }; }, { "removed": "removed"; "slicerChange": "slicerChange"; }, never, never, false, never>;
}
